package com.bsv.persistence.domains;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Embeddable;

import com.bankserv.common.db.BaseEntity;

/**
 * CmcisBranchesId entity. @author MyEclipse Persistence Tools
 */
@SuppressWarnings({ "serial", "rawtypes" })
@Embeddable
public class CmcisBranchesId extends BaseEntity implements java.io.Serializable {

	// Fields

	private String branchNo;
	private String branchName;
	private String division;
	private String abbrDivisionName;
	private Integer memberNo;
	private String icash;
	private String orderSite;
	private String citSite;
	private String bankRegion;
	private String institutionType;
	private String addressLine1;
	private String addressLine2;
	private String addressLine3;
	private String city;
	private String postCode;
	private String country;
	private byte countryCode;
	private String poBoxNo;
	private String postOffice;
	private String postalCity;
	private String postalPostCode;
	private String postalProvince;
	private String postalCountry;
	private String areaCode;
	private String telNo;
	private String faxNo;
	private String emailAddress;
	private String telexNo1;
	private String telexNo2;
	private String telegraphicAddress;
	private Date deletionRequestDate;
	private Date dateLastChanged;
	private String referenceId;
	private String selectionId;
	private String routingId;
	private String costCentre;
	private String wholesaleDistribInd;
	private String retailDistribInd;

	// Constructors

	/** default constructor */
	public CmcisBranchesId() {
	}

	/** minimal constructor */
	public CmcisBranchesId(String branchNo, Integer memberNo,
			String referenceId, String costCentre) {
		this.branchNo = branchNo;
		this.memberNo = memberNo;
		this.referenceId = referenceId;
		this.costCentre = costCentre;
	}

	/** full constructor */
	public CmcisBranchesId(String branchNo, String branchName, String division,
			String abbrDivisionName, Integer memberNo, String icash,
			String orderSite, String citSite, String bankRegion,
			String institutionType, String addressLine1, String addressLine2,
			String addressLine3, String city, String postCode, String country,
			byte countryCode, String poBoxNo, String postOffice,
			String postalCity, String postalPostCode, String postalProvince,
			String postalCountry, String areaCode, String telNo, String faxNo,
			String emailAddress, String telexNo1, String telexNo2,
			String telegraphicAddress, Date deletionRequestDate,
			Date dateLastChanged, String referenceId, String selectionId,
			String routingId, String costCentre, String wholesaleDistribInd,
			String retailDistribInd) {
		this.branchNo = branchNo;
		this.branchName = branchName;
		this.division = division;
		this.abbrDivisionName = abbrDivisionName;
		this.memberNo = memberNo;
		this.icash = icash;
		this.orderSite = orderSite;
		this.citSite = citSite;
		this.bankRegion = bankRegion;
		this.institutionType = institutionType;
		this.addressLine1 = addressLine1;
		this.addressLine2 = addressLine2;
		this.addressLine3 = addressLine3;
		this.city = city;
		this.postCode = postCode;
		this.country = country;
		this.countryCode = countryCode;
		this.poBoxNo = poBoxNo;
		this.postOffice = postOffice;
		this.postalCity = postalCity;
		this.postalPostCode = postalPostCode;
		this.postalProvince = postalProvince;
		this.postalCountry = postalCountry;
		this.areaCode = areaCode;
		this.telNo = telNo;
		this.faxNo = faxNo;
		this.emailAddress = emailAddress;
		this.telexNo1 = telexNo1;
		this.telexNo2 = telexNo2;
		this.telegraphicAddress = telegraphicAddress;
		this.deletionRequestDate = deletionRequestDate;
		this.dateLastChanged = dateLastChanged;
		this.referenceId = referenceId;
		this.selectionId = selectionId;
		this.routingId = routingId;
		this.costCentre = costCentre;
		this.wholesaleDistribInd = wholesaleDistribInd;
		this.retailDistribInd = retailDistribInd;
	}

	// Property accessors

	@Column(name = "BRANCH_NO", nullable = false, length = 8)
	public String getBranchNo() {
		return this.branchNo;
	}

	public void setBranchNo(String branchNo) {
		this.branchNo = branchNo;
	}

	@Column(name = "BRANCH_NAME", length = 30)
	public String getBranchName() {
		return this.branchName;
	}

	public void setBranchName(String branchName) {
		this.branchName = branchName;
	}

	@Column(name = "DIVISION", length = 30)
	public String getDivision() {
		return this.division;
	}

	public void setDivision(String division) {
		this.division = division;
	}

	@Column(name = "ABBR_DIVISION_NAME", length = 6)
	public String getAbbrDivisionName() {
		return this.abbrDivisionName;
	}

	public void setAbbrDivisionName(String abbrDivisionName) {
		this.abbrDivisionName = abbrDivisionName;
	}

	@Column(name = "MEMBER_NO", nullable = false, precision = 6, scale = 0)
	public Integer getMemberNo() {
		return this.memberNo;
	}

	public void setMemberNo(Integer memberNo) {
		this.memberNo = memberNo;
	}

	@Column(name = "ICASH", length = 1)
	public String getIcash() {
		return this.icash;
	}

	public void setIcash(String icash) {
		this.icash = icash;
	}

	@Column(name = "ORDER_SITE", length = 25)
	public String getOrderSite() {
		return this.orderSite;
	}

	public void setOrderSite(String orderSite) {
		this.orderSite = orderSite;
	}

	@Column(name = "CIT_SITE", length = 25)
	public String getCitSite() {
		return this.citSite;
	}

	public void setCitSite(String citSite) {
		this.citSite = citSite;
	}

	@Column(name = "BANK_REGION", length = 3)
	public String getBankRegion() {
		return this.bankRegion;
	}

	public void setBankRegion(String bankRegion) {
		this.bankRegion = bankRegion;
	}

	@Column(name = "INSTITUTION_TYPE", length = 4)
	public String getInstitutionType() {
		return this.institutionType;
	}

	public void setInstitutionType(String institutionType) {
		this.institutionType = institutionType;
	}

	@Column(name = "ADDRESS_LINE_1", length = 48)
	public String getAddressLine1() {
		return this.addressLine1;
	}

	public void setAddressLine1(String addressLine1) {
		this.addressLine1 = addressLine1;
	}

	@Column(name = "ADDRESS_LINE_2", length = 48)
	public String getAddressLine2() {
		return this.addressLine2;
	}

	public void setAddressLine2(String addressLine2) {
		this.addressLine2 = addressLine2;
	}

	@Column(name = "ADDRESS_LINE_3", length = 48)
	public String getAddressLine3() {
		return this.addressLine3;
	}

	public void setAddressLine3(String addressLine3) {
		this.addressLine3 = addressLine3;
	}

	@Column(name = "CITY", length = 30)
	public String getCity() {
		return this.city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	@Column(name = "POST_CODE", length = 6)
	public String getPostCode() {
		return this.postCode;
	}

	public void setPostCode(String postCode) {
		this.postCode = postCode;
	}

	@Column(name = "COUNTRY", length = 35)
	public String getCountry() {
		return this.country;
	}

	public void setCountry(String country) {
		this.country = country;
	}

	@Column(name = "COUNTRY_CODE", precision = 2, scale = 0)
	public byte getCountryCode() {
		return this.countryCode;
	}

	public void setCountryCode(byte countryCode) {
		this.countryCode = countryCode;
	}

	@Column(name = "PO_BOX_NO", length = 35)
	public String getPoBoxNo() {
		return this.poBoxNo;
	}

	public void setPoBoxNo(String poBoxNo) {
		this.poBoxNo = poBoxNo;
	}

	@Column(name = "POST_OFFICE", length = 20)
	public String getPostOffice() {
		return this.postOffice;
	}

	public void setPostOffice(String postOffice) {
		this.postOffice = postOffice;
	}

	@Column(name = "POSTAL_CITY", length = 35)
	public String getPostalCity() {
		return this.postalCity;
	}

	public void setPostalCity(String postalCity) {
		this.postalCity = postalCity;
	}

	@Column(name = "POSTAL_POST_CODE", length = 6)
	public String getPostalPostCode() {
		return this.postalPostCode;
	}

	public void setPostalPostCode(String postalPostCode) {
		this.postalPostCode = postalPostCode;
	}

	@Column(name = "POSTAL_PROVINCE", length = 35)
	public String getPostalProvince() {
		return this.postalProvince;
	}

	public void setPostalProvince(String postalProvince) {
		this.postalProvince = postalProvince;
	}

	@Column(name = "POSTAL_COUNTRY", length = 35)
	public String getPostalCountry() {
		return this.postalCountry;
	}

	public void setPostalCountry(String postalCountry) {
		this.postalCountry = postalCountry;
	}

	@Column(name = "AREA_CODE", length = 20)
	public String getAreaCode() {
		return this.areaCode;
	}

	public void setAreaCode(String areaCode) {
		this.areaCode = areaCode;
	}

	@Column(name = "TEL_NO", length = 14)
	public String getTelNo() {
		return this.telNo;
	}

	public void setTelNo(String telNo) {
		this.telNo = telNo;
	}

	@Column(name = "FAX_NO", length = 14)
	public String getFaxNo() {
		return this.faxNo;
	}

	public void setFaxNo(String faxNo) {
		this.faxNo = faxNo;
	}

	@Column(name = "EMAIL_ADDRESS", length = 40)
	public String getEmailAddress() {
		return this.emailAddress;
	}

	public void setEmailAddress(String emailAddress) {
		this.emailAddress = emailAddress;
	}

	@Column(name = "TELEX_NO_1", length = 20)
	public String getTelexNo1() {
		return this.telexNo1;
	}

	public void setTelexNo1(String telexNo1) {
		this.telexNo1 = telexNo1;
	}

	@Column(name = "TELEX_NO_2", length = 20)
	public String getTelexNo2() {
		return this.telexNo2;
	}

	public void setTelexNo2(String telexNo2) {
		this.telexNo2 = telexNo2;
	}

	@Column(name = "TELEGRAPHIC_ADDRESS", length = 24)
	public String getTelegraphicAddress() {
		return this.telegraphicAddress;
	}

	public void setTelegraphicAddress(String telegraphicAddress) {
		this.telegraphicAddress = telegraphicAddress;
	}

	@Column(name = "DELETION_REQUEST_DATE", length = 7)
	public Date getDeletionRequestDate() {
		return this.deletionRequestDate;
	}

	public void setDeletionRequestDate(Date deletionRequestDate) {
		this.deletionRequestDate = deletionRequestDate;
	}

	@Column(name = "DATE_LAST_CHANGED", length = 7)
	public Date getDateLastChanged() {
		return this.dateLastChanged;
	}

	public void setDateLastChanged(Date dateLastChanged) {
		this.dateLastChanged = dateLastChanged;
	}

	@Column(name = "REFERENCE_ID", nullable = false, length = 25)
	public String getReferenceId() {
		return this.referenceId;
	}

	public void setReferenceId(String referenceId) {
		this.referenceId = referenceId;
	}

	@Column(name = "SELECTION_ID", length = 25)
	public String getSelectionId() {
		return this.selectionId;
	}

	public void setSelectionId(String selectionId) {
		this.selectionId = selectionId;
	}

	@Column(name = "ROUTING_ID", length = 25)
	public String getRoutingId() {
		return this.routingId;
	}

	public void setRoutingId(String routingId) {
		this.routingId = routingId;
	}

	@Column(name = "COST_CENTRE", nullable = false, length = 25)
	public String getCostCentre() {
		return this.costCentre;
	}

	public void setCostCentre(String costCentre) {
		this.costCentre = costCentre;
	}

	@Column(name = "WHOLESALE_DISTRIB_IND", length = 1)
	public String getWholesaleDistribInd() {
		return this.wholesaleDistribInd;
	}

	public void setWholesaleDistribInd(String wholesaleDistribInd) {
		this.wholesaleDistribInd = wholesaleDistribInd;
	}

	@Column(name = "RETAIL_DISTRIB_IND", length = 1)
	public String getRetailDistribInd() {
		return this.retailDistribInd;
	}

	public void setRetailDistribInd(String retailDistribInd) {
		this.retailDistribInd = retailDistribInd;
	}

	public boolean equals(Object other) {
		if ((this == other))
			return true;
		if ((other == null))
			return false;
		if (!(other instanceof CmcisBranchesId))
			return false;
		CmcisBranchesId castOther = (CmcisBranchesId) other;

		return ((this.getBranchNo() == castOther.getBranchNo()) || (this
				.getBranchNo() != null && castOther.getBranchNo() != null && this
				.getBranchNo().equals(castOther.getBranchNo())))
				&& ((this.getBranchName() == castOther.getBranchName()) || (this
						.getBranchName() != null
						&& castOther.getBranchName() != null && this
						.getBranchName().equals(castOther.getBranchName())))
				&& ((this.getDivision() == castOther.getDivision()) || (this
						.getDivision() != null
						&& castOther.getDivision() != null && this
						.getDivision().equals(castOther.getDivision())))
				&& ((this.getAbbrDivisionName() == castOther
						.getAbbrDivisionName()) || (this.getAbbrDivisionName() != null
						&& castOther.getAbbrDivisionName() != null && this
						.getAbbrDivisionName().equals(
								castOther.getAbbrDivisionName())))
				&& ((this.getMemberNo() == castOther.getMemberNo()) || (this
						.getMemberNo() != null
						&& castOther.getMemberNo() != null && this
						.getMemberNo().equals(castOther.getMemberNo())))
				&& ((this.getIcash() == castOther.getIcash()) || (this
						.getIcash() != null && castOther.getIcash() != null && this
						.getIcash().equals(castOther.getIcash())))
				&& ((this.getOrderSite() == castOther.getOrderSite()) || (this
						.getOrderSite() != null
						&& castOther.getOrderSite() != null && this
						.getOrderSite().equals(castOther.getOrderSite())))
				&& ((this.getCitSite() == castOther.getCitSite()) || (this
						.getCitSite() != null && castOther.getCitSite() != null && this
						.getCitSite().equals(castOther.getCitSite())))
				&& ((this.getBankRegion() == castOther.getBankRegion()) || (this
						.getBankRegion() != null
						&& castOther.getBankRegion() != null && this
						.getBankRegion().equals(castOther.getBankRegion())))
				&& ((this.getInstitutionType() == castOther
						.getInstitutionType()) || (this.getInstitutionType() != null
						&& castOther.getInstitutionType() != null && this
						.getInstitutionType().equals(
								castOther.getInstitutionType())))
				&& ((this.getAddressLine1() == castOther.getAddressLine1()) || (this
						.getAddressLine1() != null
						&& castOther.getAddressLine1() != null && this
						.getAddressLine1().equals(castOther.getAddressLine1())))
				&& ((this.getAddressLine2() == castOther.getAddressLine2()) || (this
						.getAddressLine2() != null
						&& castOther.getAddressLine2() != null && this
						.getAddressLine2().equals(castOther.getAddressLine2())))
				&& ((this.getAddressLine3() == castOther.getAddressLine3()) || (this
						.getAddressLine3() != null
						&& castOther.getAddressLine3() != null && this
						.getAddressLine3().equals(castOther.getAddressLine3())))
				&& ((this.getCity() == castOther.getCity()) || (this.getCity() != null
						&& castOther.getCity() != null && this.getCity()
						.equals(castOther.getCity())))
				&& ((this.getPostCode() == castOther.getPostCode()) || (this
						.getPostCode() != null
						&& castOther.getPostCode() != null && this
						.getPostCode().equals(castOther.getPostCode())))
				&& ((this.getCountry() == castOther.getCountry()) || (this
						.getCountry() != null && castOther.getCountry() != null && this
						.getCountry().equals(castOther.getCountry())))
				&& (this.getCountryCode() == castOther.getCountryCode())
				&& ((this.getPoBoxNo() == castOther.getPoBoxNo()) || (this
						.getPoBoxNo() != null && castOther.getPoBoxNo() != null && this
						.getPoBoxNo().equals(castOther.getPoBoxNo())))
				&& ((this.getPostOffice() == castOther.getPostOffice()) || (this
						.getPostOffice() != null
						&& castOther.getPostOffice() != null && this
						.getPostOffice().equals(castOther.getPostOffice())))
				&& ((this.getPostalCity() == castOther.getPostalCity()) || (this
						.getPostalCity() != null
						&& castOther.getPostalCity() != null && this
						.getPostalCity().equals(castOther.getPostalCity())))
				&& ((this.getPostalPostCode() == castOther.getPostalPostCode()) || (this
						.getPostalPostCode() != null
						&& castOther.getPostalPostCode() != null && this
						.getPostalPostCode().equals(
								castOther.getPostalPostCode())))
				&& ((this.getPostalProvince() == castOther.getPostalProvince()) || (this
						.getPostalProvince() != null
						&& castOther.getPostalProvince() != null && this
						.getPostalProvince().equals(
								castOther.getPostalProvince())))
				&& ((this.getPostalCountry() == castOther.getPostalCountry()) || (this
						.getPostalCountry() != null
						&& castOther.getPostalCountry() != null && this
						.getPostalCountry()
						.equals(castOther.getPostalCountry())))
				&& ((this.getAreaCode() == castOther.getAreaCode()) || (this
						.getAreaCode() != null
						&& castOther.getAreaCode() != null && this
						.getAreaCode().equals(castOther.getAreaCode())))
				&& ((this.getTelNo() == castOther.getTelNo()) || (this
						.getTelNo() != null && castOther.getTelNo() != null && this
						.getTelNo().equals(castOther.getTelNo())))
				&& ((this.getFaxNo() == castOther.getFaxNo()) || (this
						.getFaxNo() != null && castOther.getFaxNo() != null && this
						.getFaxNo().equals(castOther.getFaxNo())))
				&& ((this.getEmailAddress() == castOther.getEmailAddress()) || (this
						.getEmailAddress() != null
						&& castOther.getEmailAddress() != null && this
						.getEmailAddress().equals(castOther.getEmailAddress())))
				&& ((this.getTelexNo1() == castOther.getTelexNo1()) || (this
						.getTelexNo1() != null
						&& castOther.getTelexNo1() != null && this
						.getTelexNo1().equals(castOther.getTelexNo1())))
				&& ((this.getTelexNo2() == castOther.getTelexNo2()) || (this
						.getTelexNo2() != null
						&& castOther.getTelexNo2() != null && this
						.getTelexNo2().equals(castOther.getTelexNo2())))
				&& ((this.getTelegraphicAddress() == castOther
						.getTelegraphicAddress()) || (this
						.getTelegraphicAddress() != null
						&& castOther.getTelegraphicAddress() != null && this
						.getTelegraphicAddress().equals(
								castOther.getTelegraphicAddress())))
				&& ((this.getDeletionRequestDate() == castOther
						.getDeletionRequestDate()) || (this
						.getDeletionRequestDate() != null
						&& castOther.getDeletionRequestDate() != null && this
						.getDeletionRequestDate().equals(
								castOther.getDeletionRequestDate())))
				&& ((this.getDateLastChanged() == castOther
						.getDateLastChanged()) || (this.getDateLastChanged() != null
						&& castOther.getDateLastChanged() != null && this
						.getDateLastChanged().equals(
								castOther.getDateLastChanged())))
				&& ((this.getReferenceId() == castOther.getReferenceId()) || (this
						.getReferenceId() != null
						&& castOther.getReferenceId() != null && this
						.getReferenceId().equals(castOther.getReferenceId())))
				&& ((this.getSelectionId() == castOther.getSelectionId()) || (this
						.getSelectionId() != null
						&& castOther.getSelectionId() != null && this
						.getSelectionId().equals(castOther.getSelectionId())))
				&& ((this.getRoutingId() == castOther.getRoutingId()) || (this
						.getRoutingId() != null
						&& castOther.getRoutingId() != null && this
						.getRoutingId().equals(castOther.getRoutingId())))
				&& ((this.getCostCentre() == castOther.getCostCentre()) || (this
						.getCostCentre() != null
						&& castOther.getCostCentre() != null && this
						.getCostCentre().equals(castOther.getCostCentre())))
				&& ((this.getWholesaleDistribInd() == castOther
						.getWholesaleDistribInd()) || (this
						.getWholesaleDistribInd() != null
						&& castOther.getWholesaleDistribInd() != null && this
						.getWholesaleDistribInd().equals(
								castOther.getWholesaleDistribInd())))
				&& ((this.getRetailDistribInd() == castOther
						.getRetailDistribInd()) || (this.getRetailDistribInd() != null
						&& castOther.getRetailDistribInd() != null && this
						.getRetailDistribInd().equals(
								castOther.getRetailDistribInd())));
	}

	public int hashCode() {
		int result = 17;

		result = 37 * result
				+ (getBranchNo() == null ? 0 : this.getBranchNo().hashCode());
		result = 37
				* result
				+ (getBranchName() == null ? 0 : this.getBranchName()
						.hashCode());
		result = 37 * result
				+ (getDivision() == null ? 0 : this.getDivision().hashCode());
		result = 37
				* result
				+ (getAbbrDivisionName() == null ? 0 : this
						.getAbbrDivisionName().hashCode());
		result = 37 * result
				+ (getMemberNo() == null ? 0 : this.getMemberNo().hashCode());
		result = 37 * result
				+ (getIcash() == null ? 0 : this.getIcash().hashCode());
		result = 37 * result
				+ (getOrderSite() == null ? 0 : this.getOrderSite().hashCode());
		result = 37 * result
				+ (getCitSite() == null ? 0 : this.getCitSite().hashCode());
		result = 37
				* result
				+ (getBankRegion() == null ? 0 : this.getBankRegion()
						.hashCode());
		result = 37
				* result
				+ (getInstitutionType() == null ? 0 : this.getInstitutionType()
						.hashCode());
		result = 37
				* result
				+ (getAddressLine1() == null ? 0 : this.getAddressLine1()
						.hashCode());
		result = 37
				* result
				+ (getAddressLine2() == null ? 0 : this.getAddressLine2()
						.hashCode());
		result = 37
				* result
				+ (getAddressLine3() == null ? 0 : this.getAddressLine3()
						.hashCode());
		result = 37 * result
				+ (getCity() == null ? 0 : this.getCity().hashCode());
		result = 37 * result
				+ (getPostCode() == null ? 0 : this.getPostCode().hashCode());
		result = 37 * result
				+ (getCountry() == null ? 0 : this.getCountry().hashCode());
		result = 37 * result + this.getCountryCode();
		result = 37 * result
				+ (getPoBoxNo() == null ? 0 : this.getPoBoxNo().hashCode());
		result = 37
				* result
				+ (getPostOffice() == null ? 0 : this.getPostOffice()
						.hashCode());
		result = 37
				* result
				+ (getPostalCity() == null ? 0 : this.getPostalCity()
						.hashCode());
		result = 37
				* result
				+ (getPostalPostCode() == null ? 0 : this.getPostalPostCode()
						.hashCode());
		result = 37
				* result
				+ (getPostalProvince() == null ? 0 : this.getPostalProvince()
						.hashCode());
		result = 37
				* result
				+ (getPostalCountry() == null ? 0 : this.getPostalCountry()
						.hashCode());
		result = 37 * result
				+ (getAreaCode() == null ? 0 : this.getAreaCode().hashCode());
		result = 37 * result
				+ (getTelNo() == null ? 0 : this.getTelNo().hashCode());
		result = 37 * result
				+ (getFaxNo() == null ? 0 : this.getFaxNo().hashCode());
		result = 37
				* result
				+ (getEmailAddress() == null ? 0 : this.getEmailAddress()
						.hashCode());
		result = 37 * result
				+ (getTelexNo1() == null ? 0 : this.getTelexNo1().hashCode());
		result = 37 * result
				+ (getTelexNo2() == null ? 0 : this.getTelexNo2().hashCode());
		result = 37
				* result
				+ (getTelegraphicAddress() == null ? 0 : this
						.getTelegraphicAddress().hashCode());
		result = 37
				* result
				+ (getDeletionRequestDate() == null ? 0 : this
						.getDeletionRequestDate().hashCode());
		result = 37
				* result
				+ (getDateLastChanged() == null ? 0 : this.getDateLastChanged()
						.hashCode());
		result = 37
				* result
				+ (getReferenceId() == null ? 0 : this.getReferenceId()
						.hashCode());
		result = 37
				* result
				+ (getSelectionId() == null ? 0 : this.getSelectionId()
						.hashCode());
		result = 37 * result
				+ (getRoutingId() == null ? 0 : this.getRoutingId().hashCode());
		result = 37
				* result
				+ (getCostCentre() == null ? 0 : this.getCostCentre()
						.hashCode());
		result = 37
				* result
				+ (getWholesaleDistribInd() == null ? 0 : this
						.getWholesaleDistribInd().hashCode());
		result = 37
				* result
				+ (getRetailDistribInd() == null ? 0 : this
						.getRetailDistribInd().hashCode());
		return result;
	}

}